version: "2"
services:
  # 必须是小写
  backendsys-service:
    # 指定容器名称 (必须是小写且不能带横杠)
    container_name: backendsysdev
    # 重启机制
    restart: always
    # 必须是小写
    image: backendsys-dev
    volumes:
      - /home/BackendSysDev/libs/:/app/build/libs/
      - /home/BackendSysDev/uploads/:/home/BackendSysDev/uploads/
      - /home/BackendSysDev/logs/:/logs/
      - /etc/localtime:/etc/localtime

#    ports:
#      - "48080:48080"
#    # 使用 network_mode: host 就不能再指定 ports
    network_mode: "host"

    environment:
      # 指定时区
      TZ: 'Asia/Shanghai'

    # -Xms4g -Xmx12g (服务器 8核 16GB)
    # -Xms1g -Xmx4g (服务器 4核 8GB)
    entrypoint: nohup java -Dloader.path=/app/build/libs -jar /app/build/backendsys-dev.jar
